# 사업자등록상태조회

## 1. CheckCorpNum - 단건 조회

| HTTP Method | 테스트(Sandbox)                                   | 운영(Production)                            |
| ----------- | ---------------------------------------------- | ----------------------------------------- |
| GET         | <https://popbill-test.linkhub.co.kr/CloseDown> | <https://popbill.linkhub.co.kr/CloseDown> |

- 사업자번호 1건에 대해 실시간으로 사업자등록상태를 확인합니다.
- 팝빌 서비스의 안정적인 제공을 위하여 동시호출이 제한될 수 있습니다.\
  동시에 100건 이상 요청하는 경우 대량 조회를 이용하시는 것을 권장합니다.

### Request

**요청 헤더**

- Authorization `required: Y` `description: 인증 토큰`
  - [\[참고\] 인증 및 헤더 설정](https://developers.popbill.com/api-reference/closedown/getting-started/authorization)
- Accept-Language `required: N` `description: 응답 언어 설정`
  - `ko-KR`: 기본값
  - `en-US`
- Accept-Encoding `required: N` `description: 응답 압축 방식`
  - `gzip`
- X-PB-UserID `required: N` `description: 팝빌회원 아이디`

**Query 파라미터**

- CN `type: string` `length: -` `required: Y` `description: 조회할 사업자번호`

**요청 예시**

```bash
curl --request GET \
  --url 'https://{domain}/CloseDown?CN={CN}' \
  --header 'Authorization: Bearer {token}'
```

### Response

**응답 본문**

- corpNum `type: string` `length: 10` `description: 조회한 사업자번호`
- taxType `type: string` `length: 2` `description: 사업자 과세유형`
  - `null`: 확인실패
  - `10`: 일반과세자
  - `20`: 면세사업자
  - `30`: 간이과세자
  - `31`: 간이과세자 세금계산서 발급사업자
  - `40`: 비영리법인 또는 국가기관, 고유번호가 할당된 단체
- typeDate `type: string` `length: 10` `description: 과세유형 전환일자`
  - 형식 : yyyy-MM-dd
- state `type: string` `length: 1` `description: 휴폐업상태`
  - `null`: 확인실패
  - `0`: 미등록 - 등록되지 않은 사업자번호
  - `1`: 사업중
  - `2`: 폐업
  - `3`: 휴업
- stateDate `type: string` `length: 10` `description: 휴폐업일자`
  - 형식 : yyyy-MM-dd
- checkDate `type: string` `length: 10` `description: 국세청 확인일자`
  - 형식 : yyyy-MM-dd

**응답 예시**

```json
{
    "corpNum": "6798700433",
    "typeDate": null,
    "state": "1",
    "stateDate": null,
    "checkDate": "2025-10-20",
    "taxType": "10"
}
```

## 2. CheckCorpNums - 대량 조회

| HTTP Method | 테스트(Sandbox)                                   | 운영(Production)                            |
| ----------- | ---------------------------------------------- | ----------------------------------------- |
| POST        | <https://popbill-test.linkhub.co.kr/CloseDown> | <https://popbill.linkhub.co.kr/CloseDown> |

- 다수건의 사업자번호에 대해 실시간으로 사업자등록상태를 확인합니다. (최대 1,000건)

### Request

**요청 헤더**

- Authorization `required: Y` `description: 인증 토큰`
  - [\[참고\] 인증 및 헤더 설정](https://developers.popbill.com/api-reference/closedown/getting-started/authorization)
- Accept-Language `required: N` `description: 응답 언어 설정`
  - `ko-KR`: 기본값
  - `en-US`
- Accept-Encoding `required: N` `description: 응답 압축 방식`
  - `gzip`
- X-PB-UserID `required: N` `description: 팝빌회원 아이디`

**요청 본문**

- \- `type: array` `length: 1,000` `required: Y` `description: 사업자번호 목록`
  - 최대 : 1,000건

**요청 예시**

```bash
curl --request POST \
  --url 'https://{domain}/CloseDown' \
  --header 'Authorization: Bearer {token}' \
  --data '["6798700433"]'
```

### Response

**응답 본문**

- corpNum `type: string` `length: 10` `description: 조회한 사업자번호`
- taxType `type: string` `length: 2` `description: 사업자 과세유형`
  - `null`: 확인실패
  - `10`: 일반과세자
  - `20`: 면세사업자
  - `30`: 간이과세자
  - `31`: 간이과세자 세금계산서 발급사업자
  - `40`: 비영리법인 또는 국가기관, 고유번호가 할당된 단체
- typeDate `type: string` `length: 10` `description: 과세유형 전환일자`
  - 형식 : yyyy-MM-dd
- state `type: string` `length: 1` `description: 휴폐업상태`
  - `null`: 확인실패
  - `0`: 미등록 - 등록되지 않은 사업자번호
  - `1`: 사업중
  - `2`: 폐업
  - `3`: 휴업
- stateDate `type: string` `length: 10` `description: 휴폐업일자`
  - 형식 : yyyy-MM-dd
- checkDate `type: string` `length: 10` `description: 국세청 확인일자`
  - 형식 : yyyy-MM-dd

**응답 예시**

```json
[
    {
        "corpNum": "6798700433",
        "typeDate": null,
        "state": "1",
        "stateDate": null,
        "checkDate": "2025-10-20",
        "taxType": "10"
    }
]
```
